#ifndef _COMMON_H_
#define _COMMON_H_

#include <gl/GL.h>
#include <gl/GLU.h>

struct Ctx
{
	Ctx();
	void init();
	void init(HWND);
	void setSize(int width, int height);
	void toogleFullscreen();
	void viewport43();
	HWND hwnd;
	HDC hdc;
	HGLRC hglrc;
	HPALETTE hPalette;
	RECT winrect;
	int width, height;
	BOOL texon, depthon, fullscreen, usersize;
	GLboolean depthmask;
};

extern "C" void* _ReturnAddress();
#pragma intrinsic(_ReturnAddress)

#endif
