#define INITGUID
#define DIRECTDRAW_VERSION 0x300
#include <windows.h>
#include <WinNT.h>
#include <psapi.h>
#include <ddraw.h>
#include <stdio.h>
#include "ati3dcif.h"
#include "ctx.h"

enum { _GL_BGRA = 32993, _GL_UNSIGNED_SHORT_5_6_5 = 33635 };

HINSTANCE hInstance;

//FILE* flog = 0;

extern Ctx ctx;

void kill()
{
	TerminateProcess(GetCurrentProcess(), 0);
}


// TombRaider ATI patch fails on later Windows becouse of missing return statement in a function.
// In Windows 95 it is compensated by OutputDebugString nonzero eax value, while later Windows' OutputDebugString return zero.
// Unfinished Business fail even on Windows 95 becouse it does not call OutputDebugString.
// This 'fix' injects xor eax,eax; inc eax into a function calling OutputDebugString, called from 'bad' function.
// 'Bad' funcion can not be fixed directly because lack of room (nops after ret).
void bugfix()
{
	LPVOID page = (LPVOID) 0x429000;
	DWORD normalProtect = 0;
	PDWORD p = (PDWORD) 0x429ed0;
	if (VirtualProtect(page, 0x2000, PAGE_READWRITE, &normalProtect))
	{
		if (*p == 0x909090c3 && p[-1] == 0x90909090) *p = 0xc340c031;
		p = (PDWORD) 0x42a2f6;
		if (*p == 0x909090c3 && p[-1] == 0x5ed6ff00) *p = 0xc340c031;
		VirtualProtect(page, 0x2000, normalProtect, 0);
	}
	page = (LPVOID) 0x443000;
	if (VirtualProtect(page, 0x1000, PAGE_READWRITE, &normalProtect))
	{
		for (int i=0; i<2; i++)
		{
			p = (PDWORD) (i ? 0x443fc6 : 0x4438a6);
			if (*p == 0xc3c3c3c3 && p[-1] == 0xc35de58b) {
				*((PBYTE) p - 1) = 0xe9;
				*p = (DWORD) kill - (DWORD) p;
			}
		}
	}
	page = (LPVOID) 0x43c000;
	if (VirtualProtect(page, 0x1000, PAGE_READWRITE, &normalProtect))
	{
		p = (PDWORD) 0x43c080;
		if (*p == 0x0f14ec83) *p = 0xc3;
		p = (PDWORD) 0x43c730;
		if (*p == 0x0f14ec83) *p = 0xc3;
		VirtualProtect(page, 0x1000, normalProtect, 0);
	}
	page = (LPVOID) 0x443000;
	if (VirtualProtect(page, 0x1000, PAGE_READWRITE, &normalProtect))
	{
		for (int i=0; i<2; i++)
		{
			p = (PDWORD) (i ? 0x443fc6 : 0x4438a6);
			if (*p == 0xc3c3c3c3 && p[-1] == 0xc35de58b) {
				*((PBYTE) p - 1) = 0xe9;
				*p = (DWORD) kill - (DWORD) p;
			}
		}
		VirtualProtect(page, 0x2000, normalProtect, 0);
	}
}

extern "C" BOOL WINAPI DllMain(HINSTANCE hInst, DWORD dwReason, LPVOID lpReserved)
{
	switch (dwReason)
	{
	case DLL_PROCESS_ATTACH:
		bugfix();
		//flog = fopen("ddraw.log", "wt");
		hInstance = hInst;
		break;
	case DLL_PROCESS_DETACH:
		//fclose(flog);
		break;
	}
	return TRUE;
}

/*void log(void* retadr, const char* s, ...)
{
	TCHAR name[80] = "";
	HMODULE h;
	GetModuleHandleEx(GET_MODULE_HANDLE_EX_FLAG_FROM_ADDRESS, (LPCTSTR) retadr, &h);
	GetModuleBaseName(GetCurrentProcess(), h, name, 80);
	va_list list;
	va_start(list, s);
	vfprintf(flog, s, list);
	va_end(list);
	fprintf(flog, " : module %s, ip %x\n", name, retadr);
	fflush(flog);
}*/


struct DDSurface : IDirectDrawSurface, IDirectDrawSurface2
{
	struct DDraw *pDD;
	DDSurface *pBackBuffer, *pZBuffer;
	DDSURFACEDESC desc;
	ULONG refcnt;
	PBYTE buff;
	size_t buffsize;
	bool rgb565;

	~DDSurface();
	DDSurface(DDraw* pDD, LPDDSURFACEDESC pDesc);

	void clear()
	{
	//fprintf(flog, "buffsize = %d, width= %d", buffsize, desc.dwWidth);
		memset(desc.lpSurface, 0, buffsize);
	}

	HRESULT Attach(DDSurface* ps)
	{
		DWORD caps = ps->desc.ddsCaps.dwCaps;
		if (caps & DDSCAPS_ZBUFFER) pZBuffer = ps;
		else if (caps & DDSCAPS_BACKBUFFER) pBackBuffer = ps;
		else return E_FAIL;
		ps->AddRef();
		return S_OK;
	}

	HRESULT Blt(LPRECT pDestRect, DDSurface* pSurf, LPRECT pSrcRect, DWORD flags, LPDDBLTFX pTFX)
	{
		int clr = flags & DDBLT_COLORFILL ? GL_COLOR_BUFFER_BIT : 0;
		if (flags & DDBLT_DEPTHFILL)
		{
			glClearDepth(-50000);
			clr = GL_DEPTH_BUFFER_BIT;
		}
		if (clr) glClear(clr);
		else if (pSurf)
		{
			DWORD w = pSurf->desc.dwWidth, h = pSurf->desc.dwHeight;
			RECT rect;
			GetClientRect(ctx.hwnd, &rect);

			if (!rgb565 /*&& desc.ddpfPixelFormat.dwRBitMask == 15 << 10*/)
			{
				rgb565 = true;
				desc.ddpfPixelFormat.dwRBitMask = 15 << 11;
				PWORD p = (PWORD) pSurf->desc.lpSurface;
				for (int n = w * h; --n>=0; p++)
				{
					WORD c = *p;
					*p = c << 1 & 0xffc0 | c & 0x1f;
				}
			}

			glDisable(GL_DEPTH_TEST);
			glDepthMask(GL_FALSE);
			glViewport(0, 0, rect.right - rect.left - 1, rect.bottom - rect.top - 1);
			glMatrixMode(GL_PROJECTION);
			glPushMatrix();
			ctx.viewport43();
			glLoadIdentity();
			glBindTexture(GL_TEXTURE_2D, 0);
			glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
			glTexImage2D(GL_TEXTURE_2D, 0, GL_RGB, w, h, 0,
				GL_RGB, _GL_UNSIGNED_SHORT_5_6_5, pSurf->desc.lpSurface);
			glBegin(GL_QUADS);
			glTexCoord2d(0,0); glVertex2d(-1, 1);
			glTexCoord2d(1,0); glVertex2d( 1, 1);
			glTexCoord2d(1,1); glVertex2d( 1,-1);
			glTexCoord2d(0,1); glVertex2d(-1,-1);
			glEnd();
			if (ctx.depthon) glEnable(GL_DEPTH_TEST);
			glDepthMask(ctx.depthmask);
			glPopMatrix();
		}
		return S_OK;
	}

	/*** IUnknown methods ***/
	STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID FAR * ppvObj)
	{
		//log(_ReturnAddress(), "DDSurface QueryInterface");
		if (IsEqualGUID(riid, IID_IUnknown)) *ppvObj = (IUnknown*) (IDirectDrawSurface*) this;
		else if (IsEqualGUID(riid, IID_IDirectDrawSurface)) *ppvObj = (IDirectDrawSurface*) this;
		else if (IsEqualGUID(riid, IID_IDirectDrawSurface2)) *ppvObj = (IDirectDrawSurface2*) this;
		else return S_FALSE;
		++refcnt;
		return S_OK;
	}

	STDMETHOD_(ULONG,AddRef) (THIS)
	{
		//log(_ReturnAddress(), "AddRef");
		return ++refcnt;
	}

	STDMETHOD_(ULONG,Release) (THIS)
	{
		ULONG cnt = --refcnt;
		if (cnt == 0) delete this;
		//log(_ReturnAddress(), "DDSurface Release~");
		return cnt;
	}

	/*** IDirectDraw methods ***/
	STDMETHOD(Compact)(THIS)
	{
		//log(_ReturnAddress(), "Compact");
		return S_OK;
	}

	/*** IDirectDrawSurface methods ***/
	STDMETHOD(AddAttachedSurface)(THIS_ LPDIRECTDRAWSURFACE pDDS)
	{
		//log(_ReturnAddress(), "AddAttachedSurface");
		return pDDS ? Attach(static_cast<DDSurface*>(pDDS)) : E_FAIL;
	}

	STDMETHOD(AddOverlayDirtyRect)(THIS_ LPRECT)
	{
		//log(_ReturnAddress(), "AddOverlayDirtyRect");
		return S_OK;
	}

	STDMETHOD(Blt)(THIS_ LPRECT pDestRect,LPDIRECTDRAWSURFACE pDDS, LPRECT pSrcRect, DWORD flags, LPDDBLTFX pTFX)
	{
		//log(_ReturnAddress(), "Blt %x", flags);
		return Blt(pDestRect, (DDSurface*) pDDS, pSrcRect, flags, pTFX);
		return S_OK;
	}

	STDMETHOD(BltBatch)(THIS_ LPDDBLTBATCH, DWORD, DWORD )
	{
		//log(_ReturnAddress(), "BltBatch");
		return S_OK;
	}

	STDMETHOD(BltFast)(THIS_ DWORD, DWORD, LPDIRECTDRAWSURFACE, LPRECT,DWORD)
	{
		//log(_ReturnAddress(), "BltFast");
		return S_OK;
	}

	STDMETHOD(DeleteAttachedSurface)(THIS_ DWORD,LPDIRECTDRAWSURFACE)
	{
		//log(_ReturnAddress(), "DeleteAttachedSurface");
		return S_OK;
	}

	STDMETHOD(EnumAttachedSurfaces)(THIS_ LPVOID,LPDDENUMSURFACESCALLBACK)
	{
		//log(_ReturnAddress(), "EnumAttachedSurfaces");
		return S_OK;
	}

	STDMETHOD(EnumOverlayZOrders)(THIS_ DWORD,LPVOID,LPDDENUMSURFACESCALLBACK)
	{
		//log(_ReturnAddress(), "EnumOverlayZOrders");
		return S_OK;
	}

	STDMETHOD(Flip)(THIS_ LPDIRECTDRAWSURFACE, DWORD)
	{
		//log(_ReturnAddress(), "Flip");
		if (desc.ddsCaps.dwCaps & DDSCAPS_FRONTBUFFER)
		{
			glFinish();
			SwapBuffers(ctx.hdc);
			glDrawBuffer(GL_BACK);
			ctx.viewport43();
		}
		return S_OK;
	}

	STDMETHOD(GetAttachedSurface)(THIS_ LPDDSCAPS pCaps, LPDIRECTDRAWSURFACE* ppSurf)
	{
		//log(_ReturnAddress(), "GetAttachedSurface");
		LPDIRECTDRAWSURFACE p =
			pCaps->dwCaps & DDSCAPS_BACKBUFFER ? pBackBuffer :
			pCaps->dwCaps & DDSCAPS_ZBUFFER ? pZBuffer : 0;
		return (*ppSurf = p) ? S_OK : E_FAIL;
	}

	STDMETHOD(GetBltStatus)(THIS_ DWORD)
	{
		//log(_ReturnAddress(), "GetBltStatus");
		return S_OK;
	}

	STDMETHOD(GetCaps)(THIS_ LPDDSCAPS)
	{
		//log(_ReturnAddress(), "ddsurface GetCaps");
		return S_OK;
	}

	STDMETHOD(GetClipper)(THIS_ LPDIRECTDRAWCLIPPER FAR*)
	{
		//log(_ReturnAddress(), "!! GetClipper");
		return S_OK;
	}

	STDMETHOD(GetColorKey)(THIS_ DWORD, LPDDCOLORKEY)
	{
		//log(_ReturnAddress(), "GetColorKey");
		return S_OK;
	}

	STDMETHOD(GetDC)(THIS_ HDC FAR *)
	{
		//log(_ReturnAddress(), "GetDC");
		return S_OK;
	}

	STDMETHOD(GetFlipStatus)(THIS_ DWORD)
	{
		//log(_ReturnAddress(), "GetFlipStatus");
		return S_OK;
	}

	STDMETHOD(GetOverlayPosition)(THIS_ LPLONG, LPLONG )
	{
		//log(_ReturnAddress(), "GetOverlayPosition");
		return S_OK;
	}

	STDMETHOD(GetPalette)(THIS_ LPDIRECTDRAWPALETTE FAR*)
	{
		//log(_ReturnAddress(), "! GetPalette");
		return S_OK;
	}

	// Only report 1555 format because Tomb Raider title screen ignores it and uses 1555 no matter what.
	STDMETHOD(GetPixelFormat)(THIS_ LPDDPIXELFORMAT pFmt)
	{
		//log(_ReturnAddress(), "GetPixelFormat");
		if (pFmt->dwSize < sizeof(*pFmt)) return E_FAIL;
		pFmt->dwFlags = DDPF_RGB;
		pFmt->dwRGBBitCount = 16;
		pFmt->dwRBitMask = 15 << 10;
		pFmt->dwGBitMask = 15 << 5;
		pFmt->dwBBitMask = 15;
		pFmt->dwRGBAlphaBitMask = 0;
		return S_OK;
	}

	STDMETHOD(GetSurfaceDesc)(THIS_ LPDDSURFACEDESC)
	{
		//log(_ReturnAddress(), "GetSurfaceDesc");
		return S_OK;
	}

	STDMETHOD(Initialize)(THIS_ LPDIRECTDRAW, LPDDSURFACEDESC)
	{
		//log(_ReturnAddress(), "Initialize");
		return S_OK;
	}

	STDMETHOD(IsLost)(THIS)
	{
		//log(_ReturnAddress(), "IsLost");
		return S_OK;
	}

	STDMETHOD(Lock)(THIS_ LPRECT pRect, LPDDSURFACEDESC pDesc, DWORD flags, HANDLE h)
	{
		//log(_ReturnAddress(), "Lock d %x flags=%x desc.width=%d desc.height=%d desc.bits=%d", pDesc, flags, desc.dwWidth, desc.dwHeight, desc.ddpfPixelFormat.dwRGBBitCount);
		if (pDesc->dwSize < sizeof(*pDesc)) return E_FAIL;
		*pDesc = desc;
		return S_OK;
	}

	STDMETHOD(ReleaseDC)(THIS_ HDC)
	{
		//log(_ReturnAddress(), "ReleaseDC");
		return S_OK;
	}

	STDMETHOD(Restore)(THIS)
	{
		//log(_ReturnAddress(), "Restore");
		return S_OK;
	}

	STDMETHOD(SetClipper)(THIS_ LPDIRECTDRAWCLIPPER)
	{
		//log(_ReturnAddress(), "SetClipper");
		return S_OK;
	}

	STDMETHOD(SetColorKey)(THIS_ DWORD, LPDDCOLORKEY)
	{
		//log(_ReturnAddress(), "SetColorKey");
		return S_OK;
	}

	STDMETHOD(SetOverlayPosition)(THIS_ LONG, LONG )
	{
		//log(_ReturnAddress(), "SetOverlayPosition");
		return S_OK;
	}

	STDMETHOD(SetPalette)(THIS_ LPDIRECTDRAWPALETTE)
	{
		//log(_ReturnAddress(), "SetPalette");
		return S_OK;
	}

	STDMETHOD(Unlock)(THIS_ LPVOID p)
	{
		//log(_ReturnAddress(), "Unlock"); fflush(stdout);
		rgb565 = false;
		if (!(desc.ddsCaps.dwCaps & DDSCAPS_PRIMARYSURFACE)) return S_OK;

		RECT rect;
		GetClientRect(ctx.hwnd, &rect);
		DWORD w = rect.right - rect.left, h = rect.bottom - rect.top;
		DWORD r = w / desc.dwWidth, hr = h / desc.dwHeight;
		if (r > hr) r = hr;
		if (r < 1) r = 1;
		DWORD dw = w - r * desc.dwWidth, dh = h - r * desc.dwHeight;
		glDisable(GL_DEPTH_TEST);
		glDepthMask(GL_FALSE);
		glDisable (GL_ALPHA_TEST);
		glDisable (GL_BLEND);
		glViewport(0, 0, w - 1, h - 1);
		glPushMatrix();
		glLoadIdentity();
		glOrtho(0, w - 1, h - 1, 1, -1e6, 0);
		glPixelZoom(r*1.0f, r*-1.0f);
		glRasterPos2i(dw > 0 ? dw >> 1 : 0, dh > 0 ? dh + 1 >> 1 : 1);
		glClear(GL_COLOR_BUFFER_BIT);
		glDrawPixels(desc.dwWidth, desc.dwHeight, _GL_BGRA, 0x8366, desc.lpSurface);
		glPopMatrix();
		SwapBuffers(ctx.hdc);
		if (ctx.depthon) glEnable(GL_DEPTH_TEST);
		glDepthMask(ctx.depthmask);
		glEnable (GL_ALPHA_TEST);
		glEnable (GL_BLEND);
		return S_OK;
	}

	STDMETHOD(UpdateOverlay)(THIS_ LPRECT, LPDIRECTDRAWSURFACE,LPRECT,DWORD, LPDDOVERLAYFX)
	{
		//log(_ReturnAddress(), "UpdateOverlay");
		return S_OK;
	}

	STDMETHOD(UpdateOverlayDisplay)(THIS_ DWORD)
	{
		//log(_ReturnAddress(), "UpdateOverlayDisplay");
		return S_OK;
	}

	STDMETHOD(UpdateOverlayZOrder)(THIS_ DWORD, LPDIRECTDRAWSURFACE)
	{
		//log(_ReturnAddress(), "UpdateOverlayZOrder");
		return S_OK;
	}

	/*** Updated in the v2 interface ***/

	STDMETHOD(AddAttachedSurface)(THIS_ LPDIRECTDRAWSURFACE2 pDDS)
	{
		//log(_ReturnAddress(), "AddAttachedSurface");
		return pDDS ? Attach(static_cast<DDSurface*>(pDDS)) : E_FAIL;
	}

	STDMETHOD(Blt)(THIS_ LPRECT pDestRect, LPDIRECTDRAWSURFACE2 pDDS, LPRECT pSrcRect, DWORD flags, LPDDBLTFX pTFX)
	{
		//log(_ReturnAddress(), "Blt %x", flags);
		return Blt(pDestRect, (DDSurface*) pDDS, pSrcRect, flags, pTFX);
	}

	STDMETHOD(BltFast)(THIS_ DWORD, DWORD, LPDIRECTDRAWSURFACE2, LPRECT,DWORD)
	{
		//log(_ReturnAddress(), "BltFast");
		return S_OK;
	}

	STDMETHOD(DeleteAttachedSurface)(THIS_ DWORD, LPDIRECTDRAWSURFACE2)
	{
		//log(_ReturnAddress(), "DeleteAttachedSurface");
		return S_OK;
	}

	STDMETHOD(Flip)(THIS_ LPDIRECTDRAWSURFACE2, DWORD)
	{
		//log(_ReturnAddress(), "Flip");
		return S_OK;
	}

	STDMETHOD(GetAttachedSurface)(THIS_ LPDDSCAPS pCaps, LPDIRECTDRAWSURFACE2* ppSurf)
	{
		//log(_ReturnAddress(), "GetAttachedSurface2");
		LPDIRECTDRAWSURFACE2 p =
			pCaps->dwCaps & DDSCAPS_BACKBUFFER ? pBackBuffer :
			pCaps->dwCaps & DDSCAPS_ZBUFFER ? pZBuffer : 0;
		return (*ppSurf = p) ? S_OK : E_FAIL;
	}

	STDMETHOD(UpdateOverlay)(THIS_ LPRECT, LPDIRECTDRAWSURFACE2,LPRECT,DWORD, LPDDOVERLAYFX)
	{
		//log(_ReturnAddress(), "UpdateOverlay");
		return S_OK;
	}

	STDMETHOD(UpdateOverlayZOrder)(THIS_ DWORD, LPDIRECTDRAWSURFACE2)
	{
		//log(_ReturnAddress(), "UpdateOverlayZOrder");
		return S_OK;
	}

	/*** Added in the v2 interface ***/

	STDMETHOD(GetDDInterface)(THIS_ LPVOID* ppDD)
	{
		//log(_ReturnAddress(), "GetDDInterface");
		*ppDD = pDD;
		return S_OK;
	}

	STDMETHOD(PageLock)(THIS_ DWORD)
	{
		//log(_ReturnAddress(), "PageLock");
		return E_FAIL;
	}

	STDMETHOD(PageUnlock)(THIS_ DWORD)
	{
		//log(_ReturnAddress(), "PageUnlock");
		return E_FAIL;
	}
};


struct DDraw : IDirectDraw, IDirectDraw2
{
	DDSurface* primary;
	ULONG refcnt;
	int width, height, bits;

	DDraw()
	{
		width = 640;
		height = 480;
		refcnt = 1;
		primary = 0;
		ctx.init();
	}

	/*** IUnknown methods ***/
	STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID FAR * ppvObj)
	{
		ctx.init();
		//log(_ReturnAddress(), "DDraw QueryInterface");
		if (IsEqualGUID(riid, IID_IUnknown)) *ppvObj = (IUnknown*) (IDirectDraw*) this;
		else if (IsEqualGUID(riid, IID_IDirectDraw)) *ppvObj = (IDirectDraw*) this;
		else if (IsEqualGUID(riid, IID_IDirectDraw2)) *ppvObj = (IDirectDraw2*) this;
		else return S_FALSE;
		++refcnt;
		return S_OK;
	}

	STDMETHOD_(ULONG,AddRef) (THIS)
	{
		//log(_ReturnAddress(), "AddRef %d", refcnt);
		return ++refcnt;
	}

	STDMETHOD_(ULONG,Release) (THIS)
	{
		//log(_ReturnAddress(), "Release %d", refcnt);
		ULONG cnt = --refcnt;
		if (cnt == 0) { if (primary) primary->Release(); delete this; }
		//fprintf(flog, "Release~\n"); fflush(stdout);
		return cnt;
	}

	/*** IDirectDraw methods ***/
	STDMETHOD(Compact)(THIS)
	{
		//log(_ReturnAddress(), "Compact");
		return S_OK;
	}

	STDMETHOD(CreateClipper)(THIS_ DWORD, LPDIRECTDRAWCLIPPER FAR*, IUnknown FAR * )
	{
		//log(_ReturnAddress(), "! CreateClipper");
		return E_FAIL;
	}

	STDMETHOD(CreatePalette)(THIS_ DWORD, LPPALETTEENTRY, LPDIRECTDRAWPALETTE FAR*, IUnknown FAR * )
	{
		//log(_ReturnAddress(), "! CreatePalette");
		return E_FAIL;
	}

	STDMETHOD(CreateSurface)(THIS_ LPDDSURFACEDESC pDesc, LPDIRECTDRAWSURFACE* ppSurf, IUnknown*)
	{
		//log(_ReturnAddress(), "CreateSurface pDesc=%x d.f=%x d.w=%d d.h=%d, d.b=%d, d.mr=%d", pDesc, pDesc?pDesc->dwFlags:0, pDesc?pDesc->dwWidth:0, pDesc?pDesc->dwHeight:0, pDesc?pDesc->ddpfPixelFormat.dwRGBBitCount:0,pDesc?pDesc->ddpfPixelFormat.dwRBitMask:-1);
		*ppSurf = new DDSurface(this, pDesc);
		return S_OK;
	}

	STDMETHOD(DuplicateSurface)( THIS_ LPDIRECTDRAWSURFACE, LPDIRECTDRAWSURFACE FAR * )
	{
		//log(_ReturnAddress(), "! DuplicateSurface");
		return E_FAIL;
	}

	STDMETHOD(EnumDisplayModes)( THIS_ DWORD, LPDDSURFACEDESC, LPVOID, LPDDENUMMODESCALLBACK )
	{
		//log(_ReturnAddress(), "EnumDisplayModes");
		return E_FAIL;
	}

	STDMETHOD(EnumSurfaces)(THIS_ DWORD, LPDDSURFACEDESC, LPVOID,LPDDENUMSURFACESCALLBACK )
	{
		//log(_ReturnAddress(), "EnumSurfaces");
		return E_FAIL;
	}

	STDMETHOD(FlipToGDISurface)(THIS)
	{
		//log(_ReturnAddress(), "FlipToGDISurface");
		return E_FAIL;
	}

	STDMETHOD(GetCaps)( THIS_ LPDDCAPS hwCaps, LPDDCAPS swCaps)
	{
		//log(_ReturnAddress(), "ddraw GetCaps");
		LPDDCAPS ps[2] = { hwCaps, swCaps };
		for (int i=0; i<2; i++)
		{
			LPDDCAPS p = ps[i];
			if (!p) continue;
			if (p->dwSize < sizeof(*p)) return E_FAIL;
			p->dwZBufferBitDepths = DDBD_16 | DDBD_32;
			p->dwVidMemTotal = p->dwVidMemFree = 4 << 20;
			p->ddsCaps.dwCaps = DDSCAPS_COMPLEX | DDSCAPS_FLIP | DDSCAPS_TEXTURE | DDSCAPS_ZBUFFER;
		}
		return S_OK;
	}

	STDMETHOD(GetDisplayMode)( THIS_ LPDDSURFACEDESC pDesc)
	{
		ctx.init();
		//log(_ReturnAddress(), "GetDisplayMode");
		if (pDesc->dwSize < sizeof(*pDesc)) return E_FAIL;
		pDesc->dwFlags = DDSD_WIDTH | DDSD_HEIGHT | DDSD_PITCH | DDSD_PIXELFORMAT;
		pDesc->dwWidth = width;
		pDesc->dwHeight = height;
		pDesc->lPitch = width * 2;
		pDesc->ddpfPixelFormat.dwFlags = DDPF_RGB;
		pDesc->ddpfPixelFormat.dwRGBBitCount = 16;
		pDesc->ddpfPixelFormat.dwRBitMask = 15 << 10;
		pDesc->ddpfPixelFormat.dwGBitMask = 15 << 5;
		pDesc->ddpfPixelFormat.dwBBitMask = 15;
		pDesc->ddpfPixelFormat.dwRGBAlphaBitMask = 0;
		return S_OK;
	}

	STDMETHOD(GetFourCCCodes)(THIS_  LPDWORD, LPDWORD )
	{
		//log(_ReturnAddress(), "GetFourCCCodes");
		return E_FAIL;
	}

	STDMETHOD(GetGDISurface)(THIS_ LPDIRECTDRAWSURFACE FAR *)
	{
		//log(_ReturnAddress(), "GetGDISurface");
		return E_FAIL;
	}

	STDMETHOD(GetMonitorFrequency)(THIS_ LPDWORD freq)
	{
		//log(_ReturnAddress(), "GetMonitorFrequency");
		if (freq) *freq = 60;
		return S_OK;
	}

	STDMETHOD(GetScanLine)(THIS_ LPDWORD)
	{
		//log(_ReturnAddress(), "GetScanLine");
		return E_FAIL;
	}

	STDMETHOD(GetVerticalBlankStatus)(THIS_ LPBOOL )
	{
		//log(_ReturnAddress(), "GetVerticalBlankStatus");
		return E_FAIL;
	}

	STDMETHOD(Initialize)(THIS_ GUID FAR *)
	{
		ctx.init();
		//log(_ReturnAddress(), "Initialize");
		return S_OK;
	}

	STDMETHOD(RestoreDisplayMode)(THIS)
	{
		//log(_ReturnAddress(), "RestoreDisplayMode");
		return S_OK;
	}

	STDMETHOD(SetCooperativeLevel)(THIS_ HWND, DWORD)
	{
		ctx.init();
		//log(_ReturnAddress(), "SetCooperativeLevel");
		return S_OK;
	}

	STDMETHOD(SetDisplayMode)(THIS_ DWORD _width, DWORD _height, DWORD bitcount)
	{
		//log(_ReturnAddress(), "SetDisplayMode %d x %d x %d", _width, _height, bitcount);
		ctx.width = width = _width;
		ctx.height = height = _height;
		bits = bitcount;
		if (primary) primary->clear();
		ctx.init();
		ctx.setSize(width, height);
		return S_OK;
	}

	STDMETHOD(SetDisplayMode)(THIS_ DWORD _width, DWORD _height, DWORD bitcount, DWORD, DWORD)
	{
		//log(_ReturnAddress(), "SetDisplayMode2 %d x %d x %d", _width, _height, bitcount);
		SetDisplayMode(_width, _height, bitcount);
		return S_OK;
	}

	STDMETHOD(WaitForVerticalBlank)(THIS_ DWORD, HANDLE)
	{
		//log(_ReturnAddress(), "WaitForVerticalBlank");
		return S_OK;
	}

	STDMETHOD(GetAvailableVidMem)(THIS_ LPDDSCAPS, LPDWORD lpdwTotal, LPDWORD lpdwFree)
	{
		//log(_ReturnAddress(), "GetAvailableVidMem");
		*lpdwTotal = *lpdwFree = 4 << 20l;
		return S_OK;
	}
};


extern "C" HRESULT WINAPI DDrawCreate(GUID* lpGUID, LPDIRECTDRAW* lplpDD, IUnknown*)
{
	//log(_ReturnAddress(), "DirectDrawCreate");
	*lplpDD = new DDraw();
	return S_OK;
}
extern "C" __declspec(dllexport) void* DirectDrawCreate_lib = DDrawCreate;
#pragma comment(linker, "/EXPORT:DirectDrawCreate=_DDrawCreate@12")


DDSurface::~DDSurface()
{
	if (pBackBuffer) { pBackBuffer->Release(); pBackBuffer = 0; }
	if (pZBuffer) { pZBuffer->Release(); pZBuffer = 0; }
	if (pDD) { pDD->primary = 0; pDD->Release(); pDD = 0; }
	if (buff) { delete buff; buff = 0; }
	desc.lpSurface = 0;
}

DDSurface::DDSurface(DDraw* pDD, LPDDSURFACEDESC pDesc)
{
	refcnt = 1;
	this->pDD = pDD;
	pDD->AddRef();
	pBackBuffer = pZBuffer = 0;
	rgb565 = false;
	desc = *pDesc;
	if (!(desc.dwFlags & (DDSD_WIDTH|DDSD_HEIGHT)) || !(desc.dwWidth | desc.dwHeight))
	{
		desc.dwWidth = pDD->width;
		desc.dwHeight = pDD->height;
	}
	if (!(desc.dwFlags & DDSD_PIXELFORMAT) || !desc.ddpfPixelFormat.dwRGBBitCount)
	{
		desc.ddpfPixelFormat.dwRGBBitCount = pDD->bits;
	}
	desc.dwFlags |= DDSD_WIDTH|DDSD_HEIGHT|DDSD_PITCH|DDSD_LPSURFACE;
	desc.ddsCaps.dwCaps |= DDSCAPS_VIDEOMEMORY|DDSCAPS_LOCALVIDMEM;
	desc.dwRefreshRate = 0;
	desc.lPitch = desc.dwWidth * (desc.ddpfPixelFormat.dwRGBBitCount + 7 >> 3);
	buffsize = desc.lPitch * desc.dwHeight;
	desc.lpSurface = (buff = new BYTE[buffsize + 4]) + 4;
	memset(desc.lpSurface, 0, buffsize);
	*(DDSurface**) buff = this;
	if (desc.dwFlags & DDSD_BACKBUFFERCOUNT && desc.dwBackBufferCount > 0)
	{
		DDSURFACEDESC desc2 = desc;
		desc.ddsCaps.dwCaps |= DDSCAPS_FRONTBUFFER|DDSCAPS_VISIBLE|DDSCAPS_PRIMARYSURFACE;
		desc2.ddsCaps.dwCaps |= DDSCAPS_BACKBUFFER;
		desc2.ddsCaps.dwCaps &= ~(DDSCAPS_FRONTBUFFER|DDSCAPS_VISIBLE);
		desc2.dwFlags &= ~DDSD_BACKBUFFERCOUNT;
		desc2.dwBackBufferCount = 0;
		pBackBuffer = new DDSurface(pDD, &desc2);
	}
	if (desc.ddsCaps.dwCaps & DDSCAPS_PRIMARYSURFACE) pDD->primary = this;
}
